# Chrome Extension OAuth SDK

[![](https://img.shields.io/npm/v/chrome-ext-oauth-sdk)](https://www.npmjs.com/package/chrome-ext-oauth-sdk)

To implement OAuth flow on your Chrome Extension.

# Why?

// TODO: Write something

# How to use

```js
// background.js
import { TwitterOAuth } from "chrome-ext-oauth-sdk";
window.twitter = new TwitterOAuth(yourConsumerConfig);
```

```js
// Your callback page JavaScript
import { ProxyPage } from "chrome-ext-oauth-sdk";
const page = new ProxyPage();
window.onload = () => page.onload();
// then, this page will handle everything automatically
// and finally give token to the opener of this page.
```

```js
// Let's open the page and trigger OAuth flow.
import { ProxyPage } from "chrome-ext-oauth-sdk";
const token = await ProxyPage.open(yourCallbackPageURL, "twitter");
// { access_token: string, access_token_secret: string }
```
